diff --git a/sys/dev/raid/arcmsr/arcmsr.h b/sys/dev/raid/arcmsr/arcmsr.h
index ed91264..45edfff 100644
--- a/sys/dev/raid/arcmsr/arcmsr.h
+++ b/sys/dev/raid/arcmsr/arcmsr.h
@@ -1134,44 +1305,44 @@ struct SENSE_DATA {
 #define     ARCMSR_PCI2PCI_DEVICEID_REG		         0x02    /*word*/
 /*
 **==============================================================================
-**  0x05-0x04 : command register
+**  0x05-0x04 : command register 
 ** Bit       Default 		               Description
 **15:11        00h		   		             Reserved
-** 10          0		   		           Interrupt Disable: Disables/Enables the generation of Interrupts on the primary bus.
+** 10          0		   		           Interrupt Disable: Disables/Enables the generation of Interrupts on the primary bus. 
 **                		   		                              The bridge does not support interrupts.
-** 09          0		   		                 FB2B Enable: Enables/Disables the generation of fast back to back
-**										transactions on the primary bus.
-**                		   		                              The bridge does not generate fast back to back
+** 09          0		   		                 FB2B Enable: Enables/Disables the generation of fast back to back 
+**										transactions on the primary bus. 
+**                		   		                              The bridge does not generate fast back to back 
 **										transactions on the primary bus.
 ** 08          0		   		          SERR# Enable (SEE): Enables primary bus SERR# assertions.
 **                		   		                              0=The bridge does not assert P_SERR#.
 **                		   		                              1=The bridge may assert P_SERR#, subject to other programmable criteria.
-** 07          0		   		    Wait Cycle Control (WCC): Always returns 0bzero indicating
+** 07          0		   		    Wait Cycle Control (WCC): Always returns 0bzero indicating 
 **										that bridge does not perform address or data stepping,
 ** 06          0		   		 Parity Error Response (PER): Controls bridge response to a detected primary bus parity error.
-**                		   		                              0=When a data parity error is detected bridge does not assert S_PERR#.
-**                		   		                                  Also bridge does not assert P_SERR# in response to
+**                		   		                              0=When a data parity error is detected bridge does not assert S_PERR#. 
+**                		   		                                  Also bridge does not assert P_SERR# in response to 
 **											a detected address or attribute parity error.
-**                		   		                              1=When a data parity error is detected bridge asserts S_PERR#.
-**                		   		                                  The bridge also asserts P_SERR#
-**											(when enabled globally via bit(8) of this register)
+**                		   		                              1=When a data parity error is detected bridge asserts S_PERR#. 
+**                		   		                                  The bridge also asserts P_SERR# 
+**											(when enabled globally via bit(8) of this register) 
 **											in response to a detected address or attribute parity error.
-** 05          0		  VGA Palette Snoop Enable (VGA_PSE): Controls bridge response to VGA-compatible palette write transactions.
+** 05          0		  VGA Palette Snoop Enable (VGA_PSE): Controls bridge response to VGA-compatible palette write transactions. 
 **                		                                      VGA palette write transactions are I/O transactions
 **										 whose address bits are: P_AD[9:0] equal to 3C6h, 3C8h or 3C9h
-**                		                                      P_AD[15:10] are not decoded (i.e. aliases are claimed),
-**										or are fully decoding
-**										(i.e., must be all 0's depending upon the VGA
+**                		                                      P_AD[15:10] are not decoded (i.e. aliases are claimed), 
+**										or are fully decoding 
+**										(i.e., must be all 0's depending upon the VGA 
 **										aliasing bit in the Bridge Control Register, offset 3Eh.
 **                		                                      P_AD[31:16] equal to 0000h
-**                		                                      0=The bridge ignores VGA palette write transactions,
+**                		                                      0=The bridge ignores VGA palette write transactions, 
 **										unless decoded by the standard I/O address range window.
-**                		                                      1=The bridge responds to VGA palette write transactions
+**                		                                      1=The bridge responds to VGA palette write transactions 
 **										with medium DEVSEL# timing and forwards them to the secondary bus.
-** 04          0   Memory Write and Invalidate Enable (MWIE): The bridge does not promote MW transactions to MWI transactions.
-**                                                            MWI transactions targeting resources on the opposite side of the bridge,
+** 04          0   Memory Write and Invalidate Enable (MWIE): The bridge does not promote MW transactions to MWI transactions. 
+**                                                            MWI transactions targeting resources on the opposite side of the bridge, 
 **										however, are forwarded as MWI transactions.
-** 03          0                  Special Cycle Enable (SCE): The bridge ignores special cycle transactions.
+** 03          0                  Special Cycle Enable (SCE): The bridge ignores special cycle transactions. 
 **                                                            This bit is read only and always returns 0 when read
 ** 02          0                     Bus Master Enable (BME): Enables bridge to initiate memory and I/O transactions on the primary interface.
 **                                                            Initiation of configuration transactions is not affected by the state of this bit.
@@ -1185,40 +1356,40 @@ struct SENSE_DATA {
 **                                                            1=The bridge target response to I/O transactions on the primary interface is enabled.
 **==============================================================================
 */
-#define     ARCMSR_PCI2PCI_PRIMARY_COMMAND_REG		 0x04    /*word*/
-#define     PCI_DISABLE_INTERRUPT                        0x0400
+#define     ARCMSR_PCI2PCI_PRIMARY_COMMAND_REG		0x04    /*word*/
+#define     PCI_DISABLE_INTERRUPT					0x0400
 /*
 **==============================================================================
-**  0x07-0x06 : status register
+**  0x07-0x06 : status register 
 ** Bit       Default                       Description
-** 15          0                       Detected Parity Error: The bridge sets this bit to a 1b whenever it detects an address,
-**									attribute or data parity error.
+** 15          0                       Detected Parity Error: The bridge sets this bit to a 1b whenever it detects an address, 
+**									attribute or data parity error. 
 **                                                            This bit is set regardless of the state of the PER bit in the command register.
 ** 14          0                       Signaled System Error: The bridge sets this bit to a 1b whenever it asserts SERR# on the primary bus.
-** 13          0                       Received Master Abort: The bridge sets this bit to a 1b when,
-**									acting as the initiator on the primary bus,
-**									its transaction (with the exception of special cycles)
+** 13          0                       Received Master Abort: The bridge sets this bit to a 1b when, 
+**									acting as the initiator on the primary bus, 
+**									its transaction (with the exception of special cycles) 
 **									has been terminated with a Master Abort.
-** 12          0                       Received Target Abort: The bridge sets this bit to a 1b when,
-**									acting as the initiator on the primary bus,
+** 12          0                       Received Target Abort: The bridge sets this bit to a 1b when, 
+**									acting as the initiator on the primary bus, 
 **									its transaction has been terminated with a Target Abort.
-** 11          0                       Signaled Target Abort: The bridge sets this bit to a 1b when it,
-**									as the target of a transaction, terminates it with a Target Abort.
+** 11          0                       Signaled Target Abort: The bridge sets this bit to a 1b when it, 
+**									as the target of a transaction, terminates it with a Target Abort. 
 **                                                            In PCI-X mode this bit is also set when it forwards a SCM with a target abort error code.
-** 10:09       01                             DEVSEL# Timing: Indicates slowest response to a non-configuration command on the primary interface.
+** 10:09       01                             DEVSEL# Timing: Indicates slowest response to a non-configuration command on the primary interface. 
 **                                                            Returns ¡§01b¡¨ when read, indicating that bridge responds no slower than with medium timing.
-** 08          0                    Master Data Parity Error: The bridge sets this bit to a 1b when all of the following conditions are true:
+** 08          0                    Master Data Parity Error: The bridge sets this bit to a 1b when all of the following conditions are true: 
 **									The bridge is the current master on the primary bus
 **                                                            S_PERR# is detected asserted or is asserted by bridge
 **                                                            The Parity Error Response bit is set in the Command register
-** 07          1                   Fast Back to Back Capable: Returns a 1b when read indicating that bridge
+** 07          1                   Fast Back to Back Capable: Returns a 1b when read indicating that bridge 
 **									is able to respond to fast back to back transactions on its primary interface.
 ** 06          0                             Reserved
 ** 05          1                   66 MHz Capable Indication: Returns a 1b when read indicating that bridge primary interface is 66 MHz capable.
 **                                                            1 =
-** 04          1                    Capabilities List Enable: Returns 1b when read indicating that bridge supports PCI standard enhanced capabilities.
-**                                                            Offset 34h (Capability Pointer register)
-**										provides the offset for the first entry
+** 04          1                    Capabilities List Enable: Returns 1b when read indicating that bridge supports PCI standard enhanced capabilities. 
+**                                                            Offset 34h (Capability Pointer register) 
+**										provides the offset for the first entry 
 **										in the linked list of enhanced capabilities.
 ** 03          0                            Interrupt Status: Reflects the state of the interrupt in the device/function.
 **                                                            The bridge does not support interrupts.
@@ -1229,7 +1400,7 @@ struct SENSE_DATA {
 #define          ARCMSR_ADAP_66MHZ                   0x20
 /*
 **==============================================================================
-**  0x08 : revision ID
+**  0x08 : revision ID 
 ** Bit       Default                       Description
 ** 07:00       00000000                  Revision ID (RID): '00h' indicating bridge A-0 stepping.
 **==============================================================================
@@ -1237,7 +1408,7 @@ struct SENSE_DATA {
 #define     ARCMSR_PCI2PCI_REVISIONID_REG		     0x08    /*byte*/
 /*
 **==============================================================================
-**  0x0b-0x09 : 0180_00 (class code 1,native pci mode )
+**  0x0b-0x09 : 0180_00 (class code 1,native pci mode ) 
 ** Bit       Default                       Description
 ** 23:16       06h                     Base Class Code (BCC): Indicates that this is a bridge device.
 ** 15:08       04h                      Sub Class Code (SCC): Indicates this is of type PCI-to-PCI bridge.
@@ -1247,108 +1418,108 @@ struct SENSE_DATA {
 #define     ARCMSR_PCI2PCI_CLASSCODE_REG	         0x09    /*3bytes*/
 /*
 **==============================================================================
-**  0x0c : cache line size
+**  0x0c : cache line size 
 ** Bit       Default                       Description
 ** 07:00       00h                     Cache Line Size (CLS): Designates the cache line size in 32-bit dword units.
-**                                                            The contents of this register are factored into
-**									internal policy decisions associated with memory read prefetching,
+**                                                            The contents of this register are factored into 
+**									internal policy decisions associated with memory read prefetching, 
 **									and the promotion of Memory Write transactions to MWI transactions.
-**                                                            Valid cache line sizes are 8 and 16 dwords.
-**                                                            When the cache line size is set to an invalid value,
+**                                                            Valid cache line sizes are 8 and 16 dwords. 
+**                                                            When the cache line size is set to an invalid value, 
 **									bridge behaves as though the cache line size was set to 00h.
 **==============================================================================
 */
 #define     ARCMSR_PCI2PCI_PRIMARY_CACHELINESIZE_REG 0x0C    /*byte*/
 /*
 **==============================================================================
-**  0x0d : latency timer (number of pci clock 00-ff )
+**  0x0d : latency timer (number of pci clock 00-ff ) 
 ** Bit       Default                       Description
 **                                   Primary Latency Timer (PTV):
 ** 07:00      00h (Conventional PCI)   Conventional PCI Mode: Primary bus Master latency timer. Indicates the number of PCI clock cycles,
-**                                                            referenced from the assertion of FRAME# to the expiration of the timer,
-**                                                            when bridge may continue as master of the current transaction. All bits are writable,
-**                                                            resulting in a granularity of 1 PCI clock cycle.
-**                                                            When the timer expires (i.e., equals 00h)
-**									bridge relinquishes the bus after the first data transfer
+**                                                            referenced from the assertion of FRAME# to the expiration of the timer, 
+**                                                            when bridge may continue as master of the current transaction. All bits are writable, 
+**                                                            resulting in a granularity of 1 PCI clock cycle. 
+**                                                            When the timer expires (i.e., equals 00h) 
+**									bridge relinquishes the bus after the first data transfer 
 **									when its PCI bus grant has been deasserted.
-**         or 40h (PCI-X)                         PCI-X Mode: Primary bus Master latency timer.
+**         or 40h (PCI-X)                         PCI-X Mode: Primary bus Master latency timer. 
 **                                                            Indicates the number of PCI clock cycles,
-**                                                            referenced from the assertion of FRAME# to the expiration of the timer,
-**                                                            when bridge may continue as master of the current transaction.
-**                                                            All bits are writable, resulting in a granularity of 1 PCI clock cycle.
-**                                                            When the timer expires (i.e., equals 00h) bridge relinquishes the bus at the next ADB.
-**                                                            (Except in the case where MLT expires within 3 data phases
-**								of an ADB.In this case bridge continues on
+**                                                            referenced from the assertion of FRAME# to the expiration of the timer, 
+**                                                            when bridge may continue as master of the current transaction. 
+**                                                            All bits are writable, resulting in a granularity of 1 PCI clock cycle. 
+**                                                            When the timer expires (i.e., equals 00h) bridge relinquishes the bus at the next ADB. 
+**                                                            (Except in the case where MLT expires within 3 data phases 
+**								of an ADB.In this case bridge continues on 
 **								until it reaches the next ADB before relinquishing the bus.)
 **==============================================================================
 */
 #define     ARCMSR_PCI2PCI_PRIMARY_LATENCYTIMER_REG	 0x0D    /*byte*/
 /*
 **==============================================================================
-**  0x0e : (header type,single function )
+**  0x0e : (header type,single function ) 
 ** Bit       Default                       Description
 ** 07           0                Multi-function device (MVD): 80331 is a single-function device.
-** 06:00       01h                       Header Type (HTYPE): Defines the layout of addresses 10h through 3Fh in configuration space.
-**                                                            Returns ¡§01h¡¨ when read indicating
+** 06:00       01h                       Header Type (HTYPE): Defines the layout of addresses 10h through 3Fh in configuration space. 
+**                                                            Returns ¡§01h¡¨ when read indicating 
 **								that the register layout conforms to the standard PCI-to-PCI bridge layout.
 **==============================================================================
 */
 #define     ARCMSR_PCI2PCI_HEADERTYPE_REG	         0x0E    /*byte*/
 /*
 **==============================================================================
-**     0x0f   :
+**     0x0f   : 
 **==============================================================================
 */
 /*
 **==============================================================================
-**  0x13-0x10 :
-**  PCI CFG Base Address #0 (0x10)
+**  0x13-0x10 : 
+**  PCI CFG Base Address #0 (0x10) 
 **==============================================================================
 */
 /*
 **==============================================================================
-**  0x17-0x14 :
-**  PCI CFG Base Address #1 (0x14)
+**  0x17-0x14 : 
+**  PCI CFG Base Address #1 (0x14) 
 **==============================================================================
 */
 /*
 **==============================================================================
-**  0x1b-0x18 :
-**  PCI CFG Base Address #2 (0x18)
+**  0x1b-0x18 : 
+**  PCI CFG Base Address #2 (0x18) 
 **-----------------0x1A,0x19,0x18--Bus Number Register - BNR
 ** Bit       Default                       Description
-** 23:16       00h             Subordinate Bus Number (SBBN): Indicates the highest PCI bus number below this bridge.
-**                                                            Any Type 1 configuration cycle
+** 23:16       00h             Subordinate Bus Number (SBBN): Indicates the highest PCI bus number below this bridge. 
+**                                                            Any Type 1 configuration cycle 
 **									on the primary bus whose bus number is greater than the secondary bus number,
-**                                                            and less than or equal to the subordinate bus number
+**                                                            and less than or equal to the subordinate bus number 
 **									is forwarded unaltered as a Type 1 configuration cycle on the secondary PCI bus.
-** 15:08       00h               Secondary Bus Number (SCBN): Indicates the bus number of PCI to which the secondary interface is connected.
-**                                                            Any Type 1 configuration cycle matching this bus number
-**									is translated to a Type 0 configuration cycle (or a Special Cycle)
+** 15:08       00h               Secondary Bus Number (SCBN): Indicates the bus number of PCI to which the secondary interface is connected. 
+**                                                            Any Type 1 configuration cycle matching this bus number 
+**									is translated to a Type 0 configuration cycle (or a Special Cycle) 
 **									before being executed on bridge's secondary PCI bus.
-** 07:00       00h                  Primary Bus Number (PBN): Indicates bridge primary bus number.
-**                                                            Any Type 1 configuration cycle on the primary interface
-**									with a bus number that is less than the contents
+** 07:00       00h                  Primary Bus Number (PBN): Indicates bridge primary bus number. 
+**                                                            Any Type 1 configuration cycle on the primary interface 
+**									with a bus number that is less than the contents 
 **									of this register field does not be claimed by bridge.
 **-----------------0x1B--Secondary Latency Timer Register - SLTR
 ** Bit       Default                       Description
 **                             Secondary Latency Timer (STV):
-** 07:00       00h (Conventional PCI)  Conventional PCI Mode: Secondary bus Master latency timer.
+** 07:00       00h (Conventional PCI)  Conventional PCI Mode: Secondary bus Master latency timer. 
 **                                                            Indicates the number of PCI clock cycles,
-**									referenced from the assertion of FRAME# to the expiration of the timer,
-**                                                            when bridge may continue as master of the current transaction. All bits are writable,
+**									referenced from the assertion of FRAME# to the expiration of the timer, 
+**                                                            when bridge may continue as master of the current transaction. All bits are writable, 
 **                                                            resulting in a granularity of 1 PCI clock cycle.
-**                                                            When the timer expires (i.e., equals 00h)
-**								bridge relinquishes the bus after the first data transfer
+**                                                            When the timer expires (i.e., equals 00h) 
+**								bridge relinquishes the bus after the first data transfer 
 **								when its PCI bus grant has been deasserted.
-**          or 40h (PCI-X)                        PCI-X Mode: Secondary bus Master latency timer.
-**                                                            Indicates the number of PCI clock cycles,referenced from the assertion of FRAME#
-**								to the expiration of the timer,
-**                                                            when bridge may continue as master of the current transaction. All bits are writable,
+**          or 40h (PCI-X)                        PCI-X Mode: Secondary bus Master latency timer. 
+**                                                            Indicates the number of PCI clock cycles,referenced from the assertion of FRAME# 
+**								to the expiration of the timer, 
+**                                                            when bridge may continue as master of the current transaction. All bits are writable, 
 **                                                            resulting in a granularity of 1 PCI clock cycle.
-**                                                            When the timer expires (i.e., equals 00h) bridge relinquishes the bus at the next ADB.
-**                                                            (Except in the case where MLT expires within 3 data phases of an ADB.
-**								In this case bridge continues on until it reaches the next ADB
+**                                                            When the timer expires (i.e., equals 00h) bridge relinquishes the bus at the next ADB. 
+**                                                            (Except in the case where MLT expires within 3 data phases of an ADB. 
+**								In this case bridge continues on until it reaches the next ADB 
 **								before relinquishing the bus)
 **==============================================================================
 */
@@ -1358,42 +1529,42 @@ struct SENSE_DATA {
 #define     ARCMSR_PCI2PCI_SECONDARY_LATENCYTIMER_REG	         0x1B    /*byte*/
 /*
 **==============================================================================
-**  0x1f-0x1c :
-**  PCI CFG Base Address #3 (0x1C)
+**  0x1f-0x1c : 
+**  PCI CFG Base Address #3 (0x1C) 
 **-----------------0x1D,0x1C--I/O Base and Limit Register - IOBL
 ** Bit       Default                       Description
-** 15:12        0h            I/O Limit Address Bits [15:12]: Defines the top address of an address range to
-**								determine when to forward I/O transactions from one interface to the other.
-**                                                            These bits correspond to address lines 15:12 for 4KB alignment.
+** 15:12        0h            I/O Limit Address Bits [15:12]: Defines the top address of an address range to 
+**								determine when to forward I/O transactions from one interface to the other. 
+**                                                            These bits correspond to address lines 15:12 for 4KB alignment. 
 **                                                            Bits 11:0 are assumed to be FFFh.
 ** 11:08        1h           I/O Limit Addressing Capability: This field is hard-wired to 1h, indicating support 32-bit I/O addressing.
-** 07:04        0h             I/O Base Address Bits [15:12]: Defines the bottom address of
-**								an address range to determine when to forward I/O transactions
-**								from one interface to the other.
-**                                                            These bits correspond to address lines 15:12 for 4KB alignment.
+** 07:04        0h             I/O Base Address Bits [15:12]: Defines the bottom address of 
+**								an address range to determine when to forward I/O transactions 
+**								from one interface to the other. 
+**                                                            These bits correspond to address lines 15:12 for 4KB alignment. 
 **								Bits 11:0 are assumed to be 000h.
 ** 03:00        1h            I/O Base Addressing Capability: This is hard-wired to 1h, indicating support for 32-bit I/O addressing.
 **-----------------0x1F,0x1E--Secondary Status Register - SSR
 ** Bit       Default                       Description
-** 15           0b                     Detected Parity Error: The bridge sets this bit to a 1b whenever it detects an address,
+** 15           0b                     Detected Parity Error: The bridge sets this bit to a 1b whenever it detects an address, 
 **								attribute or data parity error on its secondary interface.
 ** 14           0b                     Received System Error: The bridge sets this bit when it samples SERR# asserted on its secondary bus interface.
-** 13           0b                     Received Master Abort: The bridge sets this bit to a 1b when,
-**								acting as the initiator on the secondary bus,
-**								it's transaction (with the exception of special cycles)
+** 13           0b                     Received Master Abort: The bridge sets this bit to a 1b when, 
+**								acting as the initiator on the secondary bus, 
+**								it's transaction (with the exception of special cycles) 
 **								has been terminated with a Master Abort.
-** 12           0b                     Received Target Abort: The bridge sets this bit to a 1b when,
-**								acting as the initiator on the secondary bus,
+** 12           0b                     Received Target Abort: The bridge sets this bit to a 1b when, 
+**								acting as the initiator on the secondary bus, 
 **								it's transaction has been terminated with a Target Abort.
-** 11           0b                     Signaled Target Abort: The bridge sets this bit to a 1b when it,
-**								as the target of a transaction, terminates it with a Target Abort.
+** 11           0b                     Signaled Target Abort: The bridge sets this bit to a 1b when it, 
+**								as the target of a transaction, terminates it with a Target Abort. 
 **                                                            In PCI-X mode this bit is also set when it forwards a SCM with a target abort error code.
-** 10:09       01b                            DEVSEL# Timing: Indicates slowest response to a non-configuration command on the secondary interface.
+** 10:09       01b                            DEVSEL# Timing: Indicates slowest response to a non-configuration command on the secondary interface. 
 **                                                            Returns ¡§01b¡¨ when read, indicating that bridge responds no slower than with medium timing.
 ** 08           0b                  Master Data Parity Error: The bridge sets this bit to a 1b when all of the following conditions are true:
 **                                                            The bridge is the current master on the secondary bus
 **                                                            S_PERR# is detected asserted or is asserted by bridge
-**                                                            The Parity Error Response bit is set in the Command register
+**                                                            The Parity Error Response bit is set in the Command register 
 ** 07           1b           Fast Back-to-Back Capable (FBC): Indicates that the secondary interface of bridge can receive fast back-to-back cycles.
 ** 06           0b                           Reserved
 ** 05           1b                      66 MHz Capable (C66): Indicates the secondary interface of the bridge is 66 MHz capable.
